<?php
/**
 *
 * Copyright notice
 *
 * (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 */

return [
	'ctrl' => [
		'title' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:tx_sgnews_domain_model_author',
		'label' => 'frontend_user',
		'label_alt' => 'name, email',
		'label_alt_force' => TRUE,
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'searchFields' => 'name, email, frontend_user, description',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
		],
		'default_sortby' => 'crdate DESC',
		'iconfile' => 'EXT:sg_news/Resources/Public/Icons/module-sgnews.svg'
	],
	'interface' => [
		'showRecordFieldList' => 'hidden, crdate, name, email, description, frontend_user, image',
	],
	'types' => [
		'1' => [
			'showitem' => 'hidden;;1, frontend_user, --palette--;;authorInfos, description'
		],
	],
	'palettes' => [
		'authorInfos' => [
			'showitem' => 'name, email, --linebreak--, image',
			'canNotCollapse' => TRUE,
		],
	],
	'columns' => [
		'pid' => [
			'exclude' => FALSE,
			'label' => 'PID',
			'config' => [
				'type' => 'none',
			]
		],
		'crdate' => [
			'exclude' => FALSE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:tx_sgnews_domain_model_author.crdate',
			'config' => [
				'type' => 'input',
				'max' => '20',
				'eval' => 'datetime',
				'default' => $GLOBALS['EXEC_TIME'],
			]
		],
		'hidden' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:hidden.I.0',
			'config' => [
				'type' => 'check',
			],
		],
		'frontend_user' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:tx_sgnews_domain_model_author.frontend_user',
			'config' => [
				'type' => 'group',
				'internal_type' => 'db',
				'maxitems' => 1,
				'size' => 1,
				'allowed' => 'fe_users',
				'wizards' => [
					'suggest' => [
						'type' => 'suggest',
					],
				],
			]
		],
		'name' => [
			'displayCond' => 'FIELD:frontend_user:<=:0',
			'exclude' => FALSE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:tx_sgnews_domain_model_author.name',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'email' => [
			'displayCond' => 'FIELD:frontend_user:<=:0',
			'exclude' => FALSE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:tx_sgnews_domain_model_author.email',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'description' => [
			'exclude' => FALSE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:tx_sgnews_domain_model_author.description',
			'config' => [
				'type' => 'text',
				'cols' => 30,
				'rows' => 10
			]
		],
		'image' => [
			'displayCond' => 'FIELD:frontend_user:<=:0',
			'exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:tx_sgnews_domain_model_author.image',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'files', [
					'appearance' => [
						'useSortable' => TRUE,
					],
					'minitems' => 0,
					'maxitems' => 1,
				]
			),
		],
	]
];
